Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class PathwaySimulationDiagramViewOptions

    |
    +--biouml.model.DiagramViewOptions
      |
      +--biouml.standard.diagram.PathwayDiagramViewOptions
            |
            +--biouml.standard.diagram.PathwaySimulationDiagramViewOptions

public class PathwaySimulationDiagramViewOptions
extends PathwayDiagramViewOptions

Inner classes inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`PathwayDiagramViewOptions.RelationTypeColor, PathwayDiagramViewOptions.RelationTypeStroke`

Field Summary
`boolean` | `ShowReactionRate`
`boolean` | `ShowVariableValue`

Fields inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`ActiveProteinBrush, automaticallyLocateReactions, CatalystActionPen, CellCytoplasmBrush, CellNucleusBrush, DecreaseActionBrush, GeneBrush, InactiveProteinBrush, IncreaseActionBrush, InhibitorActionPen, ModefiedProteinBrush, processPen, ProteinBrush, ReactionBrush, ReactionPen, showReactionName, statePen, SubstanceBrush, SwitchOffActionBrush, SwitchOffActionPen, SwitchOnActionBrush, SwitchOnActionPen`

Fields inherited from class biouml.model.DiagramViewOptions
`compartmentTitleAlignment, diagramTitleAlignment`

Constructor Summary
`PathwaySimulationDiagramViewOptions(Option parent)` Creates `PathwaySimulationDiagramViewOptions` and initializes it.

Methods inherited from class biouml.standard.diagram.PathwayDiagramViewOptions
`getRelationTypeColors, getRelationTypeStrokes, getSemanticRelationBrush, getSemanticRelationPen, getTitleMargin, initSemanticRelationOptions, setRelationTypeColors, setRelationTypeStrokes, setTitleMargin`

Methods inherited from class biouml.model.DiagramViewOptions
`getCompartmentTitleAlignment, getCompartmentTitleFont, getDefaultFont, getDefaultPen, getDiagramTitleAlignment, getDiagramTitleFont, getNodePen, getNodeTitleFont, getNodeTitleMargin, getNoteBrush, getNoteLinkPen, getNoteMargin, isDesignMode, isDiagramTitleVisible, setCompartmentTitleAlignment, setCompartmentTitleFont, setDefaultFont, setDefaultPen, setDesignMode, setDiagramTitleAlignment, setDiagramTitleFont, setDiagramTitleVisible, setNodePen, setNodeTitleFont, setNodeTitleMargin, setNoteBrush, setNoteLinkPen, setNoteMargin`

Field Detail

### ShowReactionRate

    public boolean ShowReactionRate

### ShowVariableValue

    public boolean ShowVariableValue

Constructor Detail

### PathwaySimulationDiagramViewOptions

    public PathwaySimulationDiagramViewOptions(Option parent)

  Creates `PathwaySimulationDiagramViewOptions` and initializes it.
  Parameters:
    parent - parent property

Association Links

to Class ru.biosoft.graphics.font.ColorFont

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.font.ColorFont

to Class ru.biosoft.graphics.font.ColorFont

to Class ru.biosoft.graphics.font.ColorFont

to Class java.awt.Point

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM